# WOK
TKWOK
WOKUnix

# WOKUnix_ProcessManager Class Reference

`#include <WOKUnix_ProcessManager.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Arm ()
static Standard_EXPORT void | UnArm ()
static Standard_EXPORT void | InteruptHandler ()
static Standard_EXPORT void | ChildDeathHandler ()
static Standard_EXPORT void | PipeHandler ()
static Standard_EXPORT void | KillAll ()
static Standard_EXPORT void | SetCriticalPid (const Standard_Integer apid)

## Static Private Member Functions

static Standard_EXPORT WOKUnix_SequenceOfProcess & | Processes ()
static Standard_EXPORT void | AddProcess (const Handle(WOKUnix_Process)&aprocess)
static Standard_EXPORT void | RemoveProcess (const Handle(WOKUnix_Process)&aprocess)
static Standard_EXPORT void | WaitProcess (const Handle(WOKUnix_Process)&aprocess)

## Member Function Documentation

static Standard_EXPORT void WOKUnix_ProcessManager::AddProcess | ( | const Handle(WOKUnix_Process)& | aprocess | ) | `[static, private]`

static Standard_EXPORT void WOKUnix_ProcessManager::Arm | ( |  | ) | `[static]`

static Standard_EXPORT void WOKUnix_ProcessManager::ChildDeathHandler | ( |  | ) | `[static]`

static Standard_EXPORT void WOKUnix_ProcessManager::InteruptHandler | ( |  | ) | `[static]`

static Standard_EXPORT void WOKUnix_ProcessManager::KillAll | ( |  | ) | `[static]`

void WOKUnix_ProcessManager::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix_ProcessManager::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix_ProcessManager::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void WOKUnix_ProcessManager::PipeHandler | ( |  | ) | `[static]`

static Standard_EXPORT WOKUnix_SequenceOfProcess& WOKUnix_ProcessManager::Processes | ( |  | ) | `[static, private]`

static Standard_EXPORT void WOKUnix_ProcessManager::RemoveProcess | ( | const Handle(WOKUnix_Process)& | aprocess | ) | `[static, private]`

static Standard_EXPORT void WOKUnix_ProcessManager::SetCriticalPid | ( | const Standard_Integer | apid | ) | `[static]`

static Standard_EXPORT void WOKUnix_ProcessManager::UnArm | ( |  | ) | `[static]`

static Standard_EXPORT void WOKUnix_ProcessManager::WaitProcess | ( | const Handle(WOKUnix_Process)& | aprocess | ) | `[static, private]`

The documentation for this class was generated from the following file:

- WOKUnix_ProcessManager.hxx